Using System;
using System.Windows.Forms;
using J4L.RBarcode;
using System.Drawing.Printing;

namespace MyForm 
{
	class BarcodeForm : System.Windows.Forms.Form
	{
		
		private RAztec bc;		
		private System.Windows.Forms.ComboBox cFormat;
		private System.Windows.Forms.Button btnRefresh;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.ComboBox cType;
		private System.Windows.Forms.TextBox textFileId;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.TextBox textTotal;
		private System.Windows.Forms.TabPage tabPage2;
		private System.Windows.Forms.TextBox textIndex;
		private System.Windows.Forms.TextBox cModuleSize;
		private System.Windows.Forms.Button btnSave;
		private System.Windows.Forms.TextBox txtData;
		private System.Windows.Forms.TabPage tabPage;
		private System.Windows.Forms.Button btnExit;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.CheckBox checkStructuredAppend;
		private System.Windows.Forms.ComboBox cEncoding;
		private System.Windows.Forms.TextBox textEC;
		private System.Windows.Forms.TextBox textMargin;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Button btnPrint;
		private System.Windows.Forms.Label label;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TextBox textRunne;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.TabControl tabControl;
		private PrintDocument printDocument1;		
		
		public BarcodeForm()
		{
			InitializeComponent();
			

			
			bc.AutoConfigurate=true;
			cEncoding.SelectedIndex=0;
			
			btnRefreshClick(null,null);
		}
	
		// THIS METHOD IS MAINTAINED BY THE FORM DESIGNER
		// DO NOT EDIT IT MANUALLY! YOUR CHANGES ARE LIKELY TO BE LOST
		void btnRefreshClick(object sender, System.EventArgs e)
		{
			
		//encoding
		if (cEncoding.SelectedIndex!=1)  bc.Encoding=RAztec.ENC_NORMAL;
		else bc.Encoding=RAztec.ENC_BINARY;
		//value
		bc.Code=txtData.Text;
		bc.ProcessTilde=true;
		//format
		if (cFormat.SelectedIndex>=0)  bc.PreferredConfiguration=cFormat.SelectedIndex;
		else bc.PreferredConfiguration=RAztec.CONFIGURATION_15X15_COMPACT;
		//type
		if (cType.SelectedIndex>=0)  bc.ConfigurationType=cType.SelectedIndex;
		else bc.ConfigurationType=RAztec.CONFIGURATION_ANY;

		//dots size
		bc.ModuleSize=Convert.ToInt32(cModuleSize.Text);
		//margin
		bc.Margin=Convert.ToInt32(textMargin.Text);
		//rune
		if (textRunne.Text.Length==0)  textRunne.Text="-1";
		bc.Rune=Convert.ToInt32(textRunne.Text);
		//correction level
		bc.ErrorCorrectionLevel=Convert.ToInt32(textEC.Text);

		bc.Redraw=true;


			//structured append
			bc.StructuredAppend=false;
			if (checkStructuredAppend.Checked)   bc.StructuredAppend=true;


			bc.StructuredAppendCounter=1;
			bc.StructuredAppendCounter=Convert.ToInt32(textTotal.Text);

			bc.StructuredAppendIndex=1;
			bc.StructuredAppendIndex=Convert.ToInt32(textIndex.Text);

			bc.FileId=textFileId.Text;

			bc.Invalidate();
			
		}
		
		void btnSaveClick(object sender, System.EventArgs e)
		{
			btnRefreshClick(sender,e);
			bc.saveToFile("bc.gif","GIF");
			MessageBox.Show("Barcode saved to bc.gif");
			
		}
		
		private void printDocument1_PrintPage(object sender, 
			System.Drawing.Printing.PrintPageEventArgs e)
			{
   				//e.Graphics.FillRectangle(Brushes.Red, 
     			//new Rectangle(500, 500, 500, 500));

				
				bc.paint(e.Graphics);
				
			}		
		
		void btnPrintClick(object sender, System.EventArgs e)
		{
			printDocument1=new PrintDocument();
			this.printDocument1.PrintPage += new System.Drawing.Printing.PrintPageEventHandler(this.printDocument1_PrintPage);			
			printDocument1.Print();
			
		}
		
		void btnExitClick(object sender, System.EventArgs e)
		{
	this.Close();		
		}
		
		void InitializeComponent() {
			this.tabControl = new System.Windows.Forms.TabControl();
			this.label9 = new System.Windows.Forms.Label();
			this.textRunne = new System.Windows.Forms.TextBox();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.label = new System.Windows.Forms.Label();
			this.btnPrint = new System.Windows.Forms.Button();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.textMargin = new System.Windows.Forms.TextBox();
			this.textEC = new System.Windows.Forms.TextBox();
			this.cEncoding = new System.Windows.Forms.ComboBox();
			this.checkStructuredAppend = new System.Windows.Forms.CheckBox();
			this.label11 = new System.Windows.Forms.Label();
			this.btnExit = new System.Windows.Forms.Button();
			this.tabPage = new System.Windows.Forms.TabPage();
			this.txtData = new System.Windows.Forms.TextBox();
			this.btnSave = new System.Windows.Forms.Button();
			this.cModuleSize = new System.Windows.Forms.TextBox();
			this.textIndex = new System.Windows.Forms.TextBox();
			this.tabPage2 = new System.Windows.Forms.TabPage();
			this.textTotal = new System.Windows.Forms.TextBox();
			this.label8 = new System.Windows.Forms.Label();
			this.textFileId = new System.Windows.Forms.TextBox();
			this.cType = new System.Windows.Forms.ComboBox();
			this.label10 = new System.Windows.Forms.Label();
			this.btnRefresh = new System.Windows.Forms.Button();
			this.cFormat = new System.Windows.Forms.ComboBox();
			this.tabControl.SuspendLayout();
			this.tabPage.SuspendLayout();
			this.tabPage2.SuspendLayout();
			this.SuspendLayout();
			
			// bc
			// 
			bc=new RAztec();
			
			this.bc.Location = new System.Drawing.Point(8, 8);
			this.bc.Name = "bc";
			this.bc.Size = new System.Drawing.Size(368, 176);
			this.bc.TabIndex = 0;
			
			// 
			// tabControl
			// 
			this.tabControl.Controls.Add(this.tabPage);
			this.tabControl.Controls.Add(this.tabPage2);
			this.tabControl.Location = new System.Drawing.Point(8, 192);
			this.tabControl.Name = "tabControl";
			this.tabControl.SelectedIndex = 0;
			this.tabControl.Size = new System.Drawing.Size(440, 224);
			this.tabControl.TabIndex = 5;
			this.tabControl.SelectedIndexChanged += new System.EventHandler(this.TabControlSelectedIndexChanged);
			// 
			// label9
			// 
			this.label9.Location = new System.Drawing.Point(224, 48);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(96, 23);
			this.label9.TabIndex = 10;
			this.label9.Text = "Correction Level";
			// 
			// textRunne
			// 
			this.textRunne.Location = new System.Drawing.Point(336, 80);
			this.textRunne.Name = "textRunne";
			this.textRunne.Size = new System.Drawing.Size(80, 20);
			this.textRunne.TabIndex = 13;
			this.textRunne.Text = "-1";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(16, 16);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(40, 23);
			this.label4.TabIndex = 0;
			this.label4.Text = "Data";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(16, 48);
			this.label5.Name = "label5";
			this.label5.TabIndex = 2;
			this.label5.Text = "Type";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(16, 80);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(64, 23);
			this.label6.TabIndex = 4;
			this.label6.Text = "Encoding";
			this.label6.Click += new System.EventHandler(this.Label6Click);
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(16, 112);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(64, 23);
			this.label7.TabIndex = 6;
			this.label7.Text = "Format";
			// 
			// label
			// 
			this.label.Location = new System.Drawing.Point(16, 48);
			this.label.Name = "label";
			this.label.Size = new System.Drawing.Size(112, 23);
			this.label.TabIndex = 0;
			this.label.Text = "Field Id";
			// 
			// btnPrint
			// 
			this.btnPrint.Location = new System.Drawing.Point(240, 432);
			this.btnPrint.Name = "btnPrint";
			this.btnPrint.TabIndex = 3;
			this.btnPrint.Text = "Print";
			this.btnPrint.Click += new System.EventHandler(this.btnPrintClick);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(16, 80);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(112, 16);
			this.label2.TabIndex = 1;
			this.label2.Text = "Index";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(16, 112);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(112, 16);
			this.label3.TabIndex = 2;
			this.label3.Text = "Total";
			// 
			// textMargin
			// 
			this.textMargin.Location = new System.Drawing.Point(336, 112);
			this.textMargin.Name = "textMargin";
			this.textMargin.Size = new System.Drawing.Size(80, 20);
			this.textMargin.TabIndex = 15;
			this.textMargin.Text = "10";
			// 
			// textEC
			// 
			this.textEC.Location = new System.Drawing.Point(336, 48);
			this.textEC.Name = "textEC";
			this.textEC.Size = new System.Drawing.Size(80, 20);
			this.textEC.TabIndex = 11;
			this.textEC.Text = "23";
			// 
			// cEncoding
			// 
			this.cEncoding.Items.AddRange(new object[] {
						"NORMAL",
						"BINARY"});
			this.cEncoding.Location = new System.Drawing.Point(96, 80);
			this.cEncoding.Name = "cEncoding";
			this.cEncoding.Size = new System.Drawing.Size(112, 21);
			this.cEncoding.TabIndex = 5;
			this.cEncoding.Text = "NORMAL";
			// 
			// checkStructuredAppend
			// 
			this.checkStructuredAppend.Location = new System.Drawing.Point(16, 16);
			this.checkStructuredAppend.Name = "checkStructuredAppend";
			this.checkStructuredAppend.Size = new System.Drawing.Size(208, 24);
			this.checkStructuredAppend.TabIndex = 6;
			this.checkStructuredAppend.Text = "Enable Structured Append";
			// 
			// label11
			// 
			this.label11.Location = new System.Drawing.Point(224, 112);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(96, 23);
			this.label11.TabIndex = 14;
			this.label11.Text = "Margin";
			// 
			// btnExit
			// 
			this.btnExit.Location = new System.Drawing.Point(336, 432);
			this.btnExit.Name = "btnExit";
			this.btnExit.TabIndex = 4;
			this.btnExit.Text = "Exit";
			this.btnExit.Click += new System.EventHandler(this.btnExitClick);
			// 
			// tabPage
			// 
			this.tabPage.Controls.Add(this.textMargin);
			this.tabPage.Controls.Add(this.label11);
			this.tabPage.Controls.Add(this.textRunne);
			this.tabPage.Controls.Add(this.label10);
			this.tabPage.Controls.Add(this.textEC);
			this.tabPage.Controls.Add(this.label9);
			this.tabPage.Controls.Add(this.cModuleSize);
			this.tabPage.Controls.Add(this.label8);
			this.tabPage.Controls.Add(this.cFormat);
			this.tabPage.Controls.Add(this.label7);
			this.tabPage.Controls.Add(this.cEncoding);
			this.tabPage.Controls.Add(this.label6);
			this.tabPage.Controls.Add(this.cType);
			this.tabPage.Controls.Add(this.label5);
			this.tabPage.Controls.Add(this.txtData);
			this.tabPage.Controls.Add(this.label4);
			this.tabPage.Location = new System.Drawing.Point(4, 22);
			this.tabPage.Name = "tabPage";
			this.tabPage.Size = new System.Drawing.Size(432, 198);
			this.tabPage.TabIndex = 0;
			this.tabPage.Text = "Symbol";
			// 
			// txtData
			// 
			this.txtData.Location = new System.Drawing.Point(56, 16);
			this.txtData.Name = "txtData";
			this.txtData.Size = new System.Drawing.Size(296, 20);
			this.txtData.TabIndex = 1;
			this.txtData.Text = "123456789012";
			// 
			// btnSave
			// 
			this.btnSave.Location = new System.Drawing.Point(144, 432);
			this.btnSave.Name = "btnSave";
			this.btnSave.TabIndex = 2;
			this.btnSave.Text = "Save";
			this.btnSave.Click += new System.EventHandler(this.btnSaveClick);
			// 
			// cModuleSize
			// 
			this.cModuleSize.Location = new System.Drawing.Point(96, 144);
			this.cModuleSize.Name = "cModuleSize";
			this.cModuleSize.Size = new System.Drawing.Size(112, 20);
			this.cModuleSize.TabIndex = 9;
			this.cModuleSize.Text = "4";
			// 
			// textIndex
			// 
			this.textIndex.Location = new System.Drawing.Point(144, 80);
			this.textIndex.Name = "textIndex";
			this.textIndex.TabIndex = 4;
			this.textIndex.Text = "0";
			// 
			// tabPage2
			// 
			this.tabPage2.Controls.Add(this.checkStructuredAppend);
			this.tabPage2.Controls.Add(this.textTotal);
			this.tabPage2.Controls.Add(this.textIndex);
			this.tabPage2.Controls.Add(this.textFileId);
			this.tabPage2.Controls.Add(this.label3);
			this.tabPage2.Controls.Add(this.label2);
			this.tabPage2.Controls.Add(this.label);
			this.tabPage2.Location = new System.Drawing.Point(4, 22);
			this.tabPage2.Name = "tabPage2";
			this.tabPage2.Size = new System.Drawing.Size(432, 198);
			this.tabPage2.TabIndex = 1;
			this.tabPage2.Text = "Structured Append";
			// 
			// textTotal
			// 
			this.textTotal.Location = new System.Drawing.Point(144, 112);
			this.textTotal.Name = "textTotal";
			this.textTotal.TabIndex = 5;
			this.textTotal.Text = "0";
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(16, 144);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(80, 23);
			this.label8.TabIndex = 8;
			this.label8.Text = "Module size";
			// 
			// textFileId
			// 
			this.textFileId.Location = new System.Drawing.Point(144, 48);
			this.textFileId.Name = "textFileId";
			this.textFileId.TabIndex = 3;
			this.textFileId.Text = "";
			// 
			// cType
			// 
			this.cType.Items.AddRange(new object[] {
						"ANY",
						"COMPACT (1-4 layers)",
						"FULL RANGE (1-32 layers)"});
			this.cType.Location = new System.Drawing.Point(96, 48);
			this.cType.Name = "cType";
			this.cType.Size = new System.Drawing.Size(112, 21);
			this.cType.TabIndex = 3;
			this.cType.Text = "ANY";
			// 
			// label10
			// 
			this.label10.Location = new System.Drawing.Point(224, 80);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(96, 23);
			this.label10.TabIndex = 12;
			this.label10.Text = "Runne (0-255)";
			// 
			// btnRefresh
			// 
			this.btnRefresh.Location = new System.Drawing.Point(48, 432);
			this.btnRefresh.Name = "btnRefresh";
			this.btnRefresh.TabIndex = 1;
			this.btnRefresh.Text = "Refresh";
			this.btnRefresh.Click += new System.EventHandler(this.btnRefreshClick);
			// 
			// cFormat
			// 
			this.cFormat.Items.AddRange(new object[] {
						"15X15_COMPACT",
						"19X19",
						"19X19_COMPACT",
						"23X23",
						"23X23_COMPACT",
						"27X27",
						"27X27_COMPACT",
						"31X31",
						"37X37",
						"41X41",
						"45X45",
						"49X49",
						"53X53",
						"57X57",
						"61X61",
						"67X67",
						"71X71",
						"75X75",
						"79X79",
						"83X83",
						"91X91",
						"95X95",
						"101X101",
						"105X105",
						"109X109",
						"113X113",
						"117X117",
						"121X121",
						"125X125",
						"131X131",
						"135X135",
						"139X139",
						"143X143",
						"147X147",
						"151X151"});
			this.cFormat.Location = new System.Drawing.Point(96, 112);
			this.cFormat.Name = "cFormat";
			this.cFormat.Size = new System.Drawing.Size(112, 21);
			this.cFormat.TabIndex = 7;
			this.cFormat.Text = "15X15_COMPACT";
			// 
			// BarcodeForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(456, 462);
			this.Controls.Add(this.tabControl);
			this.Controls.Add(this.btnExit);
			this.Controls.Add(this.btnPrint);
			this.Controls.Add(this.btnSave);
			this.Controls.Add(this.btnRefresh);
			this.Controls.Add(this.bc);
			
			this.Name = "BarcodeForm";
			this.Text = "Aztec Code Demo";
			this.tabControl.ResumeLayout(false);
			this.tabPage.ResumeLayout(false);
			this.tabPage2.ResumeLayout(false);
			this.ResumeLayout(false);
		}
			
	public static void Main(string[] args)
		{
			Application.Run(new BarcodeForm());
		}
		
		void Label6Click(object sender, System.EventArgs e)
		{
			
		}
		
		void TabControlSelectedIndexChanged(object sender, System.EventArgs e)
		{
			
		}
		
	}			
}
